<div class="col-md-offset-4 col-md-4">
  <div class="form-group">
    <label for="supplier">Lieferant</label>
    <select id="supplier" ng-model="selectedSupplier" class="form-control">
      <option ng-repeat="supplier in suppliers">{{supplier}}</option>
    </select>
  </div>
</div>
<table class="table table-condensed table-bordered">
  <thead>
    <tr>
      <th>Name
        <div class="btn  btn-xs" ng-click="addOrderable()"><i class="fa fa-plus-circle"></i></div>
      </th>
      <th>Preis</th>
      <th tooltip-append-to-body="true"
      uib-tooltip="Alles löschen von: {{selectedSupplier}}" ng-confirm-delete="{{selectedSupplier}}" confirmed-delete="deleteBySupplier(selectedSupplier)">
        <i
          class="btn fa fa-trash-o" />
      </th>
      <th>
        <i id="file" tooltip-append-to-body="true"
          uib-tooltip="Akzeptiert xls von Petrik und Blanc in der gewohnten Formatierung. Um eine Zeile der Tabelle von der Übernahme auszuschließen, muss vor oder nach dem Preis ein Buchstabe z.B. x eingefügt werden, sodass diese Zelle keine gültige Zahl mehr darstellt."
          ng-click="document.getElementById('excel-file').click();"
          style="position:absolute;" class="btn btn-default fa fa-upload"></i>
        <input type="file" id="excel-file" style="opacity:0; z-index:1; width: 2ex; height: 1em;" />
      </th>
      <th>
        <i tooltip-append-to-body="true" ng-click="notify()"
          uib-tooltip="Benachrichtigungen für eingetragene Bestelllisten versenden."
          class="btn btn-default fa fa-envelope"></i>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr ng-if="orderable.supplier === selectedSupplier" ng-repeat="orderable in orderables track by $index">
      <td>
        <input type="text" ng-model="orderable.name" ng-model-options='{ debounce: 250 }'
          ng-change="orderable.$update()" class="form-control input-sm" />
      </td>
      <td>
        <input type="text" ng-model-options='{ debounce: 250 }' ng-pattern-restrict="^-{0,1}\d{0,4},{0,1}\d{0,2}$"
          german-number ng-model="orderable.price" ng-change="orderable.$update()" class="form-control input-sm" />
      </td>
      <td colspan="3" ng-confirm-delete="{{orderable.name}}" confirmed-delete="delete(orderable,orderables,$index)"><i
          class="btn fa fa-trash-o" /></td>
    </tr>
  </tbody>
</table>